    Info<< "Reading transportProperties\n" << endl;

    IOdictionary transportProperties
    (
        IOobject
        (
            "transportProperties",
            runTime.constant(),
            mesh,
            IOobject::MUST_READ,
            IOobject::NO_WRITE
        )
    );

    dimensionedScalar T0
    (
        transportProperties.lookup("T0")
    );

    dimensionedScalar nu
    (
        dimensionedScalar(transportProperties.lookup("nu"))
    );

    dimensionedScalar alpha
    (
        transportProperties.lookup("alpha")
    );

    dimensionedScalar Prt
    (
        transportProperties.lookup("Prt")
    );

    dimensionedScalar beta
    (
        transportProperties.lookup("beta")
    );

    dimensionedScalar rho0
    (
        transportProperties.lookup("rho0")
    );

    dimensionedScalar Cp0
    (
        transportProperties.lookup("Cp0")
    );
